function JSONContainerLoader(restEngine, ZHPromise, ScreenService) {

	var decodeFlow = {
		string: function(name) {
			return name;
		},
		function: function(method) {
			return method();
		}
	};

	this.loadContainer = function(name) {
		if(name && decodeFlow[typeof name]){
			name = decodeFlow[typeof name](name);
			var fileName = name + ".json";
			return restEngine.requestMetaData(Util.getRightPath(fileName,"json/containers/"), {}).then(function(result) {
				if (result.data) {
					result.data.fileName = fileName;
					result.data.__indexPath = result.url;
					return result.data;
				}
				return ZHPromise.reject({ err: ScreenService.i18n('Container not found') });
			});
		} else {
			return ZHPromise.reject({ err: ScreenService.i18n('Invalid parameters') });
		}
	};

}